Bug 14089 - vfs_default: use correct flag in vfswrap_fs_file_id
vfs_default: use correct flag in vfswrap_fs_file_id
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-14 08:10 UTC by Ralph Böhme
Modified: 2019-08-27 10:32 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.11 cherry-picked from master (1.25 KB, patch)
2019-08-21 15:00 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2019-08-14 08:10:58 UTC
vfswrap_fs_file_id() in vfs_default.c uses the wrong flag ST_EX_IFLAG_CALCULATED_ITIME instead of ST_EX_IFLAG_CALCULATED_FILE_ID.

Luckily using the wrong flag ST_EX_IFLAG_CALCULATED_ITIME currently results in the same semantics as using the correct ST_EX_IFLAG_CALCULATED_FILE_ID, as in vfs_default the non-calculated file_id is based a non-calculated itime.

Have patch, need bugnumber.
Comment 1 Ralph Böhme 2019-08-21 15:00:51 UTC
Created attachment 15407 [details]
Patch for 4.11 cherry-picked from master
Comment 2 Ralph Böhme 2019-08-21 16:01:52 UTC
Reassigning to Karolin for inclusion in 4.11 and only in 4.11.
Comment 3 Jeremy Allison 2019-08-22 16:56:40 UTC
Comment on attachment 15407 [details]
Patch for 4.11 cherry-picked from master

LGTM.
Comment 4 Karolin Seeger 2019-08-23 08:51:23 UTC
Pushed to autobuild-v4-11-test.
Comment 5 Karolin Seeger 2019-08-27 10:32:02 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-11-test.
Closing out bug report.

Thanks!